Warning, /libraries/kwindowsaddons/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 project(KWindowsAddons)
0002 
0003 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
0004 set(QT_MIN_VERSION "5.3.0")
0005 
0006 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
0007 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
0008 
0009 include(KDEInstallDirs)
0010 include(KDECMakeSettings)
0011 include(KDECompilerSettings)
0012 include(ECMInstallIcons)
0013 include(ECMMarkAsTest)
0014 include(ECMMarkNonGuiExecutable)
0015 include(FeatureSummary)
0016 include(CheckIncludeFiles)
0017 
0018 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
0019     Test
0020 )
0021 
0022 find_package(KF5 REQUIRED COMPONENTS
0023     KCMUtils
0024     KDELibs4Support
0025 )
0026 
0027 add_subdirectory( kwinshutdown )
0028 add_subdirectory( kwinstartmenu ) 
0029 add_subdirectory( config )
0030 add_subdirectory( contextmenu)
0031 
0032 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)